Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Wed, 18 Dec 2024 18:50:58 +0100

I see your point, Eli, for sure. Since this is on master, and presumably
destined for Emacs 31, there seems to be sufficient time for people to read
NEWS and PROBLEMS and accommodate their configurations while Emacs is
brought one step forward into behaving, by default, like other terminal
apps on macOS.

I think someone suggested bringing xclip (seems properly licensed) into the
core and now might be a good time to consider that.

On Tue, Dec 17, 2024 at 1:32 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Gerd Möllmann <[email-masked]>
> > Cc: Ship Mints <[email-masked]>,  [email-masked],
> >   [email-masked],  [email-masked]
> > Date: Tue, 17 Dec 2024 04:32:20 +0100
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > > And second, the issue here, at least for me, is not the user surprise
> > > that the mouse works, it's that features which used to work in Emacs
> > > when running on Terminal.app before that change cease to work, at
> > > least in some situations, now.
> >
> > I really don't know what you are talking about when you write "feature
> > in Emacs". There is no feature _in_ Emacs that is broken. Emacs doesn't
> > even get a keyboard event for Command-C, it has no idea what is going
> > on.
> >
> > It's Terminal.app that behaves differently. And Terminal.app has
> > previsions for that (Command-R, Fn-mouse).
>
> I don't see how this distinction (which I have no doubt is accurate)
> is important to the decision we should make here.  Simply put,
> "something" that worked on Terminal.app before we turned on xt-moude
> doesn't work in some cases after we turned it on.  That's my bother.
>